Zum Hauptinhalt springen

Update an Ingresses tls settings

PUT/v2/ingresses/{ingressId}/tls
API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-ingress-tls

Request​

  • ingressIdstring (uuid)required

Responses​

Format
application/json
Beschreibung

OK

    Content-Type: application/json

    {}
    {
    "type": "object"
    }

    Nutzungsbeispiele​

    $ curl \
    --fail \
    --location \
    -X PUT \
    -d '{"acme":true,"isCreated":true,"requestDeadline":"1985-10-26T01:21:00.000Z"}' \
    -H "Authorization: Bearer $MITTWALD_API_TOKEN" \
    -H 'Content-Type: application/json' \
    https://api.mittwald.de/v2/ingresses/f0f86186-0a5a-45b2-aa33-502777496347/tls
    import { MittwaldAPIV2Client } from "@mittwald/api-client";
    import { assertStatus } from "@mittwald/api-client-commons";

    const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
    const response = await client.domain.deprecatedIngressTls({
    "ingressId": "f0f86186-0a5a-45b2-aa33-502777496347",
    "data": {
    "acme": true,
    "isCreated": true,
    "requestDeadline": "1985-10-26T01:21:00.000Z"
    }
    });

    assertStatus(response, 200);

    use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedIngressTls\DeprecatedIngressTlsRequest;
    use \Mittwald\ApiClient\Generated\V2\Clients\Domain\DeprecatedIngressTls\DeprecatedIngressTlsRequestBody;

    $client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

    // TODO: Please consult the properties and constructor signature of
    // DeprecatedIngressTlsRequestBody to learn how to construct a valid instance
    $body = new DeprecatedIngressTlsRequestBody(/* TODO: ... */);

    $request = (new DeprecatedIngressTlsRequest(
    ingressId: "f0f86186-0a5a-45b2-aa33-502777496347",
    body: $body
    ));
    $response = $client->domain()->deprecatedIngressTls($request);

    var_dump($response->getBody();

    Auf dieser Seite